Subject: Re: 2 bugs in FvwmProxy

From: [email-masked]
Date: Wed, 5 Feb 2003 17:27:41 -0800

Both these should be fixed now.  Where is said "window name" is actually
"icon name" since that's what we display.  The window name is effectively
ignored.  I don't see any side effects under my config.

I got xmms to read a CD but it didn't update every second.  But it looked
fine progressing between tracks.  It does a redraw of the one window and
retains your current hilight.

-- 
  _
 ( \      _  \    /_ /  _ _  Jason Weber
  \|(\/)()))  \/\/(-/_)(-/(  Infinite Monkeys Inc.        Aloha, Oregon
  //                         http://www.imonk.com/baboon  [email-masked]
 (/     [email-masked]        [email-masked]

 "Canister contains at least 50% recycled material; 15% post-consumer content."
  -- Pringles Fat-Free (side of can)

On Tue, Jan 28, 2003 at 10:33:08AM -0800, [email-masked] wrote:
> On Tue, Jan 28, 2003 at 04:32:19PM +0100, Dominik Vogt wrote:
> > On Tue, Jan 28, 2003 at 03:46:57PM +0100, Grzegorz Nieweglowski wrote:
> > > There are 2 small problems with FvwmProxy (current CVS version).
> > > 
> > > 1. FvwmProxy seems to have trouble handling mouse buttons other than the
> > > default ones.
> > > If I click with the middle button on a proxy window, then FvwmProxy dies.
> 
> Umm, yeah, that kills it.  I'm not debuggable right now, but I'm guessing
> ClickAction[PROXY_ACTION_CLICK+1] is NULL.  That would kill it.
> I guess we're not setting all the buttons to "" by default.
> 
> > > 2. FvwmProxy windows get redrawn to frequently, in some situations.
> > > The potential trouble can be shown with the help of xmms. When xmms plays
> > > a song, it also changes it's title, once a second (because the title
> > > containes the play time by default).
> > 
> > Argh!  *Please* ask the xmms developers not to do this.  It is
> > asking for trouble.  They probably never thought of the icon
> > managers that have to do all the redraws too.  The window title is
> > no good place to display fast changing information.
> 
> If they can, they will.  If they don't, someone else will.
> If I just get a M_WINDOW_NAME, we don't need a full rebuild.
> Maybe we should avoid the Reshuffle under modest changes.
> Perhaps a simple redraw of the single proxy would do it.
> 
> So how do you get this xmms thing to play a CD, anyhow?
> 
> > > Now if you have xmms playing something
> > > while showing proxies, then the proxies will redraw themselfs every time the
> > > xmms title changes (every second). This simply looks bad, but more
> > > importantly: when the proxies get redrawn, the active (hilighted) proxie
> > > looses it's hilight. It's rather hard to navigate between the windows if you
> > > loose the hilight every second.
> > > 
> > > Maybe FvwmProxy shouldn't update the proxies every time some window decides
> > > to change it's title?
> > 
> > Bye
> > 
> > Dominik ^_^  ^_^
> > --
> > Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
> > To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
> > body of a message to [email-masked].
> > To report problems, send mail to [email-masked]
> 
> -- 
>   _
>  ( \      _  \    /_ /  _ _  Jason Weber                  (503) 380-7424
>   \|(\/)()))  \/\/(-/_)(-/(  Infinite Monkeys Inc.        Aloha, Oregon
>   //                         http://www.imonk.com/baboon  [email-masked]
>  (/     [email-masked]        [email-masked]
> 
>  "Canister contains at least 50% recycled material; 15% post-consumer content."
>   -- Pringles Fat-Free (side of can)
> 
> 
> --
> Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
> To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
> body of a message to [email-masked].
> To report problems, send mail to [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]